@echo off
title 1151CoffeeTime Support List Viewer
:return
cls
echo.
echo **************************************     WARNING!     **************************************
echo.
echo   Remember, that "Supported by updater" not equal "Board exactly will work with Coffee Lake"
echo.
echo **********************************************************************************************
echo.
echo # Select vendor
echo.
echo 1 - ASUS
echo 2 - ASRock
echo 3 - Gigabyte
echo 4 - MSI
echo.
echo e - Exit
echo.
:venselect
set /p ven="Choice: "
if /i %ven%==1 set ven=asustek&& goto getsuplist
if /i %ven%==2 set ven=asrock&& goto getsuplist
if /i %ven%==3 set ven=gigabyte&& goto getsuplist
if /i %ven%==4 set ven=msi&& goto getsuplist
if /i %ven%==e goto exit
goto venselect

:getsuplist
cls
SetLocal EnableDelayedExpansion
for /f "tokens=1 delims=(	" %%i in ('findstr /i "^" data\vbios\%ven%\list.txt') do (
	set strtmp=%%i
	set strtmp=!strtmp:-CF=!
	echo !strtmp!
)
SetLocal DisableDelayedExpansion
echo.
pause
goto return
:exit